<template>
  <div class="home">
    <div class="container">
      <div style="height:122px"></div>
      <div class="dogs__list" v-if="items.length">
        <card :src="item.src" :name="item.name" v-for="(item, index) in items" :key="index" />
      </div>
      <div v-else>
        <legend>НЕТ ИЗБРАННЫХ ПЁСЕЛЕЙ</legend>
      </div>
    </div>
    <to-top />
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import Card from '../components/Card'
import { srcToObject } from '../store'
// @ is an alias to /src

export default {
  name: 'Favourites',
  components: {
    Card
  },
  data () {
    return {
    }
  },
  computed: {
    ...mapGetters(['getFavourties']),
    items () {
      return this.getFavourties.map(srcToObject)
    }
  }
}
</script>

<style lang="scss">
$card-with: 367px;
.dogs__list {
  display: grid;
  grid-gap: 30px;
  grid-template-columns: $card-with $card-with $card-with;
}
</style>
